Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/js/berrybasket.js
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/js/berrybasket.js	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/js/berrybasket.js	(revision 24007)
@@ -59,5 +59,5 @@
 		// they are set to be invisible to prevent flickering when first loaded (see berry.css)
 
-		var berries = $('img');
+		var berries = document.getElementsByTagName('img');
 		var berrybasket = new YAHOO.util.DDTarget('berrybasket','basket');
 
@@ -87,4 +87,5 @@
 
 	var responseFailure = function(o){
+		alert("CHECKOUT FAILED");
 //alert( arguments.callee );
 	}
@@ -165,12 +166,8 @@
 	var basketHandle = YAHOO.util.Dom.get('baskethandle');
 	var berries = YAHOO.util.Dom.get('berries');
-	var div = document.createElement('div');
-	var list = document.createElement('ol');
 	var width = 500;
 	var height = 40;
 	var i=0;
 
-	list.id = 'doclist';
-
 	//remove berryImages in the berry basket
 	while (berries.hasChildNodes()) {
@@ -180,12 +177,20 @@
 		basketHandle.removeChild(basketHandle.firstChild);
 	}
+	
+	var div = document.createElement('div');
+	berries.appendChild(div);
+	var list = document.createElement('ol');
+	div.appendChild(list);
+	
+	list.id = 'doclist';
 
 	//put the berries in
-	for (i in berryList){
+	for (i; i < berryList.length; i++){
 		var berryItem = berryList[i];
 		var berryElement = document.createElement('li');
+		list.appendChild(berryElement);
 		var title = berryItem.getAttribute('title');
 		var root_title = berryItem.getAttribute('root_title');
-		var id = berryItem.getAttribute('collection')+":"+berryItem.getAttribute('name');
+		//var id = berryItem.getAttribute('collection')+":"+berryItem.getAttribute('name');
 
 		if (root_title != ""){
@@ -197,9 +202,9 @@
 			title = title.substring(0,20)+" ... "+title.substr(title.length-35,35);
 		}
-
-		berryElement.appendChild(document.createTextNode(title));
+		
 		berryElement.setAttribute("class","berryitem");
-		list.appendChild(berryElement);
-		height +=18;
+		berryElement.setAttribute("title",title);
+		berryElement.innerHTML = title;
+		height +=40;
 	}
 
@@ -207,20 +212,32 @@
 	oldWidth = berryBasket.style.width;
 	oldBg = berryBasket.style.background;
-	berryBasket.style.height = height;
-	berryBasket.style.width = width;
+	//berryBasket.style.height = height;
+	//berryBasket.style.width = width;
 	berryBasket.style.background ='url("interfaces/default/images/kete2.png") 0 0 repeat';
 	berryBasket.style.cursor = "default";
 	berryBasket.className = "show";
-	div.appendChild(list);
-	berries.appendChild(div);
-	berries.style.height = height - 40;
+	//berries.style.height = height - 40;
 
 	//put the full view link in
 	var fullView = document.createElement('a');
 	berries.appendChild(fullView);
+	
+	//Find the collection in the cgi parameters
+	var url = window.location.href;
+	var colstart = url.indexOf("&c=");
+	var collectionName = "";
+	if (colstart != -1)
+	{
+		var colend = url.indexOf("&", (colstart + 1));
+		if (colend == -1)
+		{
+			colend = url.length - 1;
+		}
+		collectionName = url.substring(colstart + 3, colend);
+	}
+	
 	fullView.appendChild(document.createTextNode('Full View Â»'));
-	fullView.setAttribute("href","?a=g&sa=berry&c=&s=DisplayList&rt=r");
+	fullView.setAttribute("href","?a=g&sa=berry&c=&s=DisplayList&rt=r&p.c=" + collectionName);
 	fullView.setAttribute("id","berryFullViewLink");
-
 
 	//toggle expand/collapse links
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/js/berrycheckout.js
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/js/berrycheckout.js	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/js/berrycheckout.js	(revision 24007)
@@ -15,6 +15,6 @@
 
 function navigate(e){
-
-	var target = e.target;
+	
+	var target = this;
 
 	if ( target.id.toLowerCase() == '' ) {
@@ -46,4 +46,7 @@
 		var parea =YAHOO.util.Dom.get('pretextarea');
 		urlonly = false;
+		
+		this.value='URL only view';
+		
 		populateUrlsAndMetadata(parea);
 		return;
@@ -56,4 +59,7 @@
 		populateUrls(parea);
 		urlonly = true;
+		
+		this.value='URL and Metadata view';
+		
 		return;
 	}
@@ -91,4 +97,14 @@
 }
 
+function pageLoad(){
+	for(var j = 0; j < options.length; j++)
+	{
+		var ele = document.getElementById(options[j]);
+		YAHOO.util.Event.addListener(ele, 'click', navigate);
+	}
+	
+	showFullView();
+}
+
 function showFullView(){
 
@@ -101,5 +117,4 @@
 		return;
 	}
-
 
 	var trashbin = document.createElement('div');
@@ -277,7 +292,7 @@
 	input.setAttribute("value", "send");
 	content.appendChild(input);
-
-}
-
+	
+	YAHOO.util.Event.addListener(input, 'click', navigate);
+}
 
 function buildPreview(parent){
@@ -285,6 +300,18 @@
 	var div = document.createElement('div');
 	var cb = document.createElement('input');
-	cb.type = 'checkbox';
-
+	cb.setAttribute('class', 'sendbutton');
+	cb.type = 'button';
+	cb.id = 'urlcheck';
+	if (urlonly)
+	{
+		cb.value='URL and Metadata view';
+	}
+	else
+	{
+		cb.value='URL only view';
+	}
+
+	YAHOO.util.Event.addListener(cb, 'click', navigate);
+	
 	var img = document.createElement('img');
 	img.src = 'interfaces/default/images/check3.gif';
@@ -296,5 +323,5 @@
 	urls.id = 'urls';
 	urls.className = 'berrycheck';
-	urls.appendChild(document.createTextNode('URL only'));
+	//urls.appendChild(document.createTextNode('URL only'));
 	div.appendChild(urls);
 
@@ -312,7 +339,12 @@
 	parent.appendChild(parea);
 
-	populateUrlsAndMetadata(parea);
-
-
+	if(urlonly)
+	{
+		populateUrls(parea);
+	}
+	else
+	{
+		populateUrlsAndMetadata(parea);
+	}
 }
 
@@ -406,6 +438,5 @@
 }
 
-YAHOO.util.Event.addListener(window,'click', navigate);
-YAHOO.util.Event.addListener(window,'load', showFullView);
-
-
+YAHOO.util.Event.addListener(window,'load', pageLoad);
+
+
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/document-scripts.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/document-scripts.xsl	(revision 24007)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/document-scripts.xsl	(revision 24007)
@@ -0,0 +1,219 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+  xmlns:java="http://xml.apache.org/xslt/java"
+  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+  xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
+  extension-element-prefixes="java util"
+  exclude-result-prefixes="java util gsf">
+
+	<xsl:template name="expansionScript">
+		<script type="text/javascript">
+			<xsl:text disable-output-escaping="yes">
+				function toggleSection(sectionID)
+				{
+					var docElem = document.getElementById("doc" + sectionID);
+					var tocElem = document.getElementById("toc" + sectionID);
+					
+					var tocToggleElem = document.getElementById("ttoggle" + sectionID);
+					var docToggleElem = document.getElementById("dtoggle" + sectionID);
+					
+					if(docElem.style.display == "none")
+					{
+						var imageClass = (docToggleElem.getAttribute("class").indexOf("leafNode") != -1) ? "icon toggleImageCollapse leafNode" : "icon toggleImageCollapse";
+						
+						docElem.style.display = "block";
+						docToggleElem.setAttribute("class", imageClass);
+						
+						if(tocToggleElem)
+						{
+							tocToggleElem.setAttribute("class", imageClass);
+						}
+						
+						if(tocElem)
+						{
+							tocElem.style.display = "block";
+						}
+					}
+					else
+					{
+						docElem.style.display = "none";
+						
+						//Use the page image if this is a leaf node and the chapter image if it not
+						//var imageClass = (docToggleElem.getAttribute("class").indexOf("leafNode") != -1) ? "icon toggleImagePage leafNode" : "icon toggleImageChapter";
+						var imageClass = (docToggleElem.getAttribute("class").indexOf("leafNode") != -1) ? "icon toggleImageExpand leafNode" : "icon toggleImageExpand";
+						docToggleElem.setAttribute("class", imageClass);
+						
+						if(tocToggleElem)
+						{
+							tocToggleElem.setAttribute("class", imageClass);
+						}
+						
+						if(tocElem)
+						{
+							tocElem.style.display = "none";
+						}
+					}
+				}
+				
+				function isExpanded(sectionID)
+				{
+					var docElem = document.getElementById("doc" + sectionID);
+					if(docElem.style.display == "block")
+					{
+						return true;
+					}
+					return false;
+				}
+				
+				function isParentOf(parent, child)
+				{
+					if(child.indexOf(parent) != -1 &amp;&amp; child.length > parent.length &amp;&amp; child[parent.length] == '.')
+					{
+						return true;
+					}
+					return false;
+				}
+				
+				function focusSection(sectionID)
+				{
+					var tableOfContentsDiv = document.getElementById("tableOfContents");
+					var images = tableOfContentsDiv.getElementsByTagName("img");
+					var nodeArray = new Array();
+					
+					for(var i = 0; i &lt; images.length; i++)
+					{	
+						nodeArray[i] = images[i].getAttribute("id").substring(7);
+					}
+					
+					for(var j = 0; j &lt; nodeArray.length; j++)
+					{
+						//If this is the node that was clicked and it is not expanded then expand it
+						if(nodeArray[j] == sectionID)
+						{
+							if(!isExpanded(nodeArray[j]))
+							{
+								toggleSection(nodeArray[j]);
+							}
+							
+							continue;
+						}
+						
+						//If the node is a parent or child of the node that is clicked and is not expanded then expand it
+						if((isParentOf(nodeArray[j], sectionID) || isParentOf(sectionID, nodeArray[j])) &amp;&amp; !isExpanded(nodeArray[j]))
+						{
+							toggleSection(nodeArray[j]);
+						}
+						//If the node is not a parent or child and is expanded then collapse it
+						else if(!(isParentOf(nodeArray[j], sectionID) || isParentOf(sectionID, nodeArray[j])) &amp;&amp; isExpanded(nodeArray[j]))
+						{
+							toggleSection(nodeArray[j]);
+						}
+					}
+				}
+			</xsl:text>
+		</script>
+	</xsl:template>
+	
+	<xsl:template name="highlightingScript">
+		<script type="text/javascript">
+			<xsl:text disable-output-escaping="yes">
+				function addHighlight()
+				{
+					var spans = document.getElementsByTagName("span");
+					for(var i = 0; i &lt; spans.length; i++)
+					{
+						var currentSpan = spans[i];
+						if(currentSpan.getAttribute("class") == "noTermHighlight")
+						{
+							currentSpan.setAttribute("class", "termHighlight");
+						}
+					}
+					
+					var option = document.getElementById("highlightOption");
+					option.innerHTML = "No Highlighting";
+					option.setAttribute("href", "javascript:removeHighlight();");
+				}
+				
+				function removeHighlight()
+				{
+					var spans = document.getElementsByTagName("span");
+					for(var i = 0; i &lt; spans.length; i++)
+					{
+						var currentSpan = spans[i];
+						if(currentSpan.getAttribute("class") == "termHighlight")
+						{
+							currentSpan.setAttribute("class", "noTermHighlight");
+						}
+					}
+					
+					var option = document.getElementById("highlightOption");
+					option.innerHTML = "Highlighting";
+					option.setAttribute("href", "javascript:addHighlight();");
+				}
+			</xsl:text>
+		</script>
+	</xsl:template>
+	
+	<xsl:template name="realisticBooksScript">
+		<div id="bookdiv"/>
+		<script type="text/javascript">
+			<xsl:text disable-output-escaping="yes">
+				
+				//Helper function to create param elements
+				function createParam(name, value)
+				{
+					var param = document.createElement("PARAM");
+					param.setAttribute("name", name);
+					param.setAttribute("value", value);
+					return param;
+				}
+				
+				//Work out the URL to the cover image and the document
+				var img_cover = '</xsl:text><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>/index/assoc/<xsl:value-of select="metadataList/metadata[@name='assocfilepath']"/>/cover.jpg<xsl:text disable-output-escaping="yes">';
+				var doc_url = document.URL; 
+				doc_url = doc_url.replace(/(&amp;|\?)book=[a-z]+/gi,'');
+				doc_url += '&amp;book=flashxml';	
+				
+				//The outer OBJECT element
+				var objectElem = document.createElement("OBJECT");
+				objectElem.setAttribute("align", "middle");
+				objectElem.setAttribute("classid", "clsid:d27cdb6e-ae6d-11cf-96b8-444553540000");
+				objectElem.setAttribute("codebase", "http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0");
+				objectElem.setAttribute("height", "600px");
+				objectElem.setAttribute("width", "100%");
+				
+				//Parameter list
+				var params = new Array();
+				params[0] = createParam("allowScriptAccess", "always");
+				params[1] = createParam("movie", "Book.swf?src_image=" + escape(img_cover) + "&amp;doc_url=" + escape(doc_url));
+				params[2] = createParam("quality", "high");
+				params[3] = createParam("bgcolor", "#FFFFFF");
+				
+				//The embed element that goes into the object element
+				var embedElem = document.createElement("EMBED");
+				embedElem.setAttribute("allowScriptAccess", "always");
+				embedElem.setAttribute("swLiveConnect", "true");
+				embedElem.setAttribute("bgcolor", "#FFFFFF");
+				embedElem.setAttribute("height", "600px");
+				embedElem.setAttribute("name", "Book");
+				embedElem.setAttribute("pluginspage", "http://www.macromedia.com/go/getflashplayer");
+				embedElem.setAttribute("quality", "high");
+				embedElem.setAttribute("src", "Book.swf?src_image=" + escape(img_cover) + "&amp;doc_url=" + escape(doc_url));
+				embedElem.setAttribute("type", "application/x-shockwave-flash");
+				embedElem.setAttribute("width", "100%");
+				
+				//Append the param and embed elements to the object element
+				for(var i = 0; i &lt; params.length; i++)
+				{
+					objectElem.appendChild(params[i]);
+				}
+				objectElem.appendChild(embedElem);
+				
+				//Append the object element to the page
+				var flashDiv = document.getElementById("bookdiv");
+				flashDiv.appendChild(objectElem);
+			</xsl:text>
+		</script>
+	</xsl:template>
+</xsl:stylesheet>
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/formatString.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/formatString.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/formatString.xsl	(revision 24007)
@@ -256,7 +256,9 @@
         <h2> This should be the format string (unmodified and html version) </h2> -->
         <!-- <xsl:value-of select="/page/pageResponse" disable-output-escaping="yes"/> -->
+        <format xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat">
         <xsl:call-template name="xml">
             <xsl:with-param name="fmt" select="."/>
         </xsl:call-template><xsl:text> </xsl:text>
+        </format>
         <!-- <xsl:apply-templates select="/page/pageResponse" mode="xml"/> -->
       <!-- </body>
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/formatmanager.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/formatmanager.xsl	(revision 24007)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/oran/transform/formatmanager.xsl	(revision 24007)
@@ -0,0 +1,151 @@
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="java util">
+
+	<xsl:template name="formatmanagerpre">
+	
+    <!-- <xsl:variable name="foo"> -->
+    <!-- <xsl:value-of select="/page/pageRequest/paramList[@name='formatedit']"/> -->
+
+    <xsl:if test="/page/pageRequest/paramList/param[(@name='formatedit') and (@value='1')]">
+
+	<!-- Sam2's div code -->
+
+		<script type="text/javascript" src="interfaces/oran/js/innerxhtml.js"><xsl:text> </xsl:text></script>
+		<script type="text/javascript" src="interfaces/oran/js/gui_div.js"><xsl:text> </xsl:text></script>
+	   
+		<xsl:call-template name="xml-to-gui-templates">
+			<xsl:with-param name="node-set" select="test"/>
+			<xsl:with-param name="metadataSets" select="//metadataSetList"/>
+		</xsl:call-template>
+
+		<xsl:variable name="fmt1">
+			<xsl:call-template name="xml-to-string">
+				<xsl:with-param name="node-set" select="//format[@type='browse']"/>
+			  </xsl:call-template>
+		</xsl:variable>
+
+		<xsl:variable name="meta">
+			<xsl:call-template name="xml-to-string">
+				<xsl:with-param name="node-set" select="//metadataSetList"/>
+			  </xsl:call-template>
+		</xsl:variable>
+
+		<style type="text/css">
+			.placeholder{margin-left: 10px; border: dashed 1px #ccc; background-color:#FFFFCC; height:20px; }
+
+			.placeholder_td{margin-left: 10px; border: dashed 1px #ccc; background-color:#FFFFCC; width:20px; }
+
+			.header { background-color: #AFCCAF; border: solid 1px #117711; padding: 5px; padding-left: 10px;}
+
+			.resizable { width: 150px; height: 150px; padding: 0.5em; } 
+			
+			.block { margin-left: 15px; border-left: dashed 1px black;}
+
+			.droppable { background-color: #99dd99;}
+			.droppable_hl { border: dashed 1px #ccc; background-color:#FFFFCC; }
+
+			<!-- .gsf_metadata { border: solid 2px #0000BB; background-color: #440077; } -->
+
+			<!-- .gsf_choose_metadata { border: solid 1px #000000; background-color: #223344; } -->
+		</style>
+
+		<link rel="stylesheet" type="text/css" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.1/themes/base/jquery-ui.css"/> 
+
+		<table width="100%" border="1"> 
+
+		<td width="75%">
+
+		<button id="updateFormatStatement" type="button" onclick="updateFormatStatement()">Update Format Statement</button>
+		<button id="saveFormatStatement" type="button" onclick="saveFormatStatement()">Save Format Statement</button>
+
+		<div id="formatStatement">
+			<div id="formatRoot">
+		
+		<xsl:call-template name="xml-to-gui">
+			<xsl:with-param name="node-set" select="//format"/> <!-- [@type='browse']"/>  -->
+			<xsl:with-param name="metadataSets" select="//metadataSetList"/> 
+		</xsl:call-template> 
+			</div>
+		</div>
+		</td>    
+
+
+		<td width="25%" valign="top">
+			<h2> Elements to add </h2>
+			<!-- <div class="header element_type_gsf_template css_gsf_template" title="gsf:template">TEMPLATE</div> -->
+			<div class="draggable_gsf_template css_gsf_template block" title="gsf:template"><table class="header"><tbody><tr><td class="header">MATCH=<input type="text" name="rawtextinput" size="10"/></td><td><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick">[x]</a></td></tr></tbody></table><table border="1"><tr class="tr"><td class="droppable" width="10px"></td></tr></table></div><br/>
+
+			<div class="draggable_gsf_choose_metadata css_gsf_choose_metadata block" title="gsf:choose-metadata"><table class="header"><tbody><tr><td class="header">CHOOSE</td><td class="header"><a href="#" class="minmax ui-icon ui-icon-minusthick" title="Click me to expand">[-]</a></td><td class="header"><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table></div>
+
+			<div class="draggable_gsf_metadata css_gsf_metadata block" title="gsf:metadata"><table class="header"><tbody><tr><td class="header"><xsl:call-template name="meta-to-combo">
+							<xsl:with-param name="metadataSets" select="//metadataSetList"/>
+							<xsl:with-param name="current" select="ex.Title"/>
+						 </xsl:call-template></td><td class="header"><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table></div>
+
+			<div class="draggable_gsf_link css_gsf_link block" title="gsf:link"><table class="header"><tbody><tr><td class="header">LINK<select>
+								<option value = "document" selected = "document">Document</option>
+								<option value = "classifier">Classifier</option>
+								<option value = "source">Source</option>
+								<option value = "horizontal">Horizontal</option>
+					</select></td><td><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick">[x]</a></td></tr></tbody></table></div>
+
+			<div class="draggable_gsf_switch css_gsf_switch block" title="gsf:switch"><table class="header"><tbody><tr><td class="header">SWITCH</td><td><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick">[x]</a></td></tr></tbody></table></div>
+
+			<div class="draggable_gsf_when css_gsf_when block" title="gsf:when"><table class="header"><tbody><tr><td class="header">WHEN<xsl:value-of select="@test"/></td><td class="header"><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td class="header"><a href="[myhref]" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table></div>
+
+			<div class="draggable_gsf_otherwise css_gsf_otherwise block" title="gsf:otherwise"><table class="header"><tbody><tr><td class="header">OTHERWISE</td><td class="header"><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="#" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table></div>
+
+			<div class="draggable_gsf_icon css_gsf_icon block" title="gsf:icon"><table class="header"><tbody><tr><td class="header">ICON<select><option value = "document" selected = "document">Document</option><option value = "classifier">Classifier</option><option value = "source">Source</option></select></td><td><a href="#" class="remove ui-icon ui-icon-closethick">[x]</a></td></tr></tbody></table></div>
+			<br/>
+			<div class="draggable_gsf_text css_text" title="text"><table class="header"><tbody><tr><td class="header"><input type="text" name="rawtextinput" size="10" value=""/></td><td class="header"><a href="[myhref]" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table></div>
+			<div class="draggable_table css_table" title="gsf:table">NEW TABLE</div>
+			<div class="draggable_tr css_tr" title="gsf:row">NEW TABLE ROW</div>
+			<div class="draggable_td css_td" title="gsf:column">NEW TABLE COLUMN</div>
+
+		</td>
+		</table>
+
+		<!--
+		<div id="format">
+			<p>
+			  <b>Format string here</b>
+			  <i>
+				  <xsl:value-of select="$fmt1"/>
+			  </i>
+			</p>
+		</div> -->
+		<!--    <p>
+			  <i>
+				  <xsl:value-of select="$meta"/>
+			  </i>
+			</p>
+		  </div> -->
+      </xsl:if>
+
+<!--<H2>Preview</H2>
+
+                    <div id="my_categories"><xsl:text> </xsl:text></div>
+
+                    <iframe name="preview" id="iframe" width="98%" height="300">Your browser does not support iframes</iframe> 
+
+                    <xsl:variable name="preview"> -->
+                    <!-- <button type="button" onclick="loadXMLDoc()">Change Content</button> -->
+	</xsl:template>
+	
+	<xsl:template name="formatmanagerpost">
+		   <!--                 </xsl:variable>
+
+                    <script type="text/javascript">
+                        preview_html = <xsl:text disable-output-escaping="yes">'</xsl:text><xsl:copy-of select="$preview"/><xsl:text disable-output-escaping="yes">';</xsl:text>
+                    </script>
+
+                    <div id="result">
+                    Here
+                    </div>-->
+	</xsl:template>
+</xsl:stylesheet>
